Bug 1133962 - [GSS] (6.3.z) Weld limitation in EAP integration code
Summary: [GSS] (6.3.z) Weld limitation in EAP integration code
Status: VERIFIED
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: CDI/Weld   
(Show other bugs)
Version: 6.3.2
Hardware: x86_64
OS: Windows
unspecified
high
Target Milestone: CR1
: EAP 6.3.3
Assignee: baranowb
QA Contact: Matej Novotny
URL: https://c.na7.visual.force.com/apex/C...
Whiteboard:
Keywords:
Depends On: 1138192
Blocks: eap633-payload
TreeView+ depends on / blocked
 
Reported: 2014-08-26 14:34 UTC by Shaun Appleton
Modified: 2019-02-28 22:44 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1138192 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-3779 Major Resolved IllegalAccessException when a built-in normal-scoped bean defines a package-private no-arg constructor 2016-11-01 09:34 UTC

Description Shaun Appleton 2014-08-26 14:34:13 UTC
There is a limitation [1] in EAP integration code when using Weld.

It seems that this optimization underestimates the problem with
package-private constructors. 

[1]
https://github.com/jbossas/jboss-eap/blob/6.x/weld/src/main/java/org/jboss/as/weld/services/bootstrap/ProxyServicesImpl.java#L68

Comment 11 Ron Šmeral 2015-01-16 17:56:41 UTC
Verified in 6.3.3.CP.CR1.


Note You need to log in before you can comment on or make changes to this bug.